Identifiable (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.lang, interface: Identifiable

Package org.apache.geode.lang

# Interface Identifiable<T extends Comparable<T>>

Type Parameters:
  `T` - the class type of the identifier.

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `Function<T>`

All Known Implementing Classes:
  `AbstractConfiguration`, `BootstrappingFunction`, `CacheConfig.AsyncEventQueue`, `CacheElement`, `CliFunction`, `CreateRegionFunction`, `Deployment`, `DiskStore`, `DiskStoreType`, `FunctionAdapter`, `GatewayReceiver`, `GroupableConfiguration`, `Index`, `Index`, `JndiBindingsType.JndiBinding`, `JndiBindingsType.JndiBinding.ConfigProperty`, `Member`, `MemberInformation`, `Pdx`, `QueryConfigService`, `Region`, `RegionConfig`, `RegionConfig.Index`, `RegionSizeFunction`, `TouchPartitionedRegionEntriesFunction`, `TouchReplicatedRegionEntriesFunction`

public interface Identifiable<T extends Comparable<T>> extends Serializable
The Identifiable interface defines a contract for classes whose Object instances can be uniquely identified relative to other Object instances within the same class type hierarchy.

Since:
  GemFire 7.0
See Also:
  - `Comparable`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T extends Identifiable>
  boolean`
  `exists(List<T> list, String id)`
  `static <T extends Identifiable>
  T`
  `find(List<T> list, String id)`
  `T`
  `getId()`
  Gets the identifier uniquely identifying this Object instance.
  `static <T extends Identifiable>
  void`
  `remove(List<T> list, String id)`

- ## Method Details

  - ### getId

    T getId()
    Gets the identifier uniquely identifying this Object instance.

    Returns:
      an identifier uniquely identifying this Object.

  - ### exists

    static <T extends Identifiable> boolean exists(List<T> list, String id)

  - ### find

    static <T extends Identifiable> T find(List<T> list, String id)

  - ### remove

    static <T extends Identifiable> void remove(List<T> list, String id)